from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, File, Boolean

Anvi_Get_Split_Coverages_V0_1_0 = CommandToolBuilder(tool="anvi_get_split_coverages", base_command=["anvi-get-split-coverages"], inputs=[ToolInput(tag="in_profile_db", input_type=String(optional=True), prefix="--profile-db", doc=InputDocumentation(doc="Anvi'o profile database")), ToolInput(tag="in_split_name", input_type=String(optional=True), prefix="--split-name", doc=InputDocumentation(doc="Split name.")), ToolInput(tag="in_contigs_db", input_type=String(optional=True), prefix="--contigs-db", doc=InputDocumentation(doc="Anvi'o contigs database generated by 'anvi-gen-\ncontigs'")), ToolInput(tag="in_collection_name", input_type=String(optional=True), prefix="--collection-name", doc=InputDocumentation(doc="Collection name.")), ToolInput(tag="in_bin_id", input_type=String(optional=True), prefix="--bin-id", doc=InputDocumentation(doc="Bin name you are interested in.")), ToolInput(tag="in_output_file", input_type=File(optional=True), prefix="--output-file", doc=InputDocumentation(doc="File path to store results.")), ToolInput(tag="in_list_splits", input_type=Boolean(optional=True), prefix="--list-splits", doc=InputDocumentation(doc="When declared, the program will list split names in\nthe profile database and quite")), ToolInput(tag="in_list_collections", input_type=Boolean(optional=True), prefix="--list-collections", doc=InputDocumentation(doc="Show available collections and exit.")), ToolInput(tag="in_list_bins", input_type=Boolean(optional=True), prefix="--list-bins", doc=InputDocumentation(doc="List available bins in a collection and exit."))], outputs=[ToolOutput(tag="out_output_file", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output_file", type_hint=File()), doc=OutputDocumentation(doc="File path to store results."))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Anvi_Get_Split_Coverages_V0_1_0().translate("wdl", allow_empty_container=True)

